## org.hibernate.metadata
Interface CollectionMetadata

All Known Implementing Classes:
  AbstractCollectionPersister, BasicCollectionPersister, OneToManyPersister

    public interface CollectionMetadata

Exposes collection metadata to the application

Author:
  Gavin King

Method Summary
`Type` `getElementType()` The collection element type
`Type` `getIndexType()` The collection index type (or null if the collection has no index)
`Type` `getKeyType()` The collection key type
`String` `getRole()` The name of this collection role
`boolean` `hasIndex()` Is this collection indexed?
`boolean` `isArray()` Is the collection an array?
`boolean` `isLazy()` Is the collection lazily initialized?
`boolean` `isPrimitiveArray()` Is the collection a primitive array?

Method Detail

### getKeyType

    Type getKeyType()

  The collection key type

### getElementType

    Type getElementType()

  The collection element type

### getIndexType

    Type getIndexType()

  The collection index type (or null if the collection has no index)

### hasIndex

    boolean hasIndex()

  Is this collection indexed?

### getRole

    String getRole()

  The name of this collection role

### isArray

    boolean isArray()

  Is the collection an array?

### isPrimitiveArray

    boolean isPrimitiveArray()

  Is the collection a primitive array?

### isLazy

    boolean isLazy()

  Is the collection lazily initialized?

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.